import numpy as np

op, bias, _ = np.loadtxt("FEDDAT.000", unpack=True)

# Index where the order parameter changes sign
index_transition = np.searchsorted(op, 0.0) #Find at which index the value '0.0' should be inserted to maintain the order (binary search)
min_phase1 = np.min(bias[:index_transition])
index_min_phase1 = np.argmax( bias == min_phase1)
min_phase2 = np.min(bias[index_transition:])
index_min_phase2 = np.argmax( bias == min_phase2)

# Flatten the left wing
bias[:index_min_phase1] = min_phase1

# Flatten the right wing
bias[index_min_phase2:] = min_phase2

# Save result to FEDDATfile_flattened
np.savetxt("FEDDAT.000", np.vstack( (op, bias, np.zeros(len(op))) ).T, fmt='%.10e\t', header="Bias function (flattened)\nparam bias hist")


