#!/usr/bin/env python
import numpy as np
import os
from shutil import copyfile
from fileinput import *
import time
###
import multiprocessing
import sys
import subprocess

# from DLM exec :  
executable =  "path_to_executable"
Nb_processors_in_pool = 4
     
def worker(folder_name):
    print("Running simulation folder", folder_name)
    command = "cd " + folder_name + f"; caffeinate -i {executable}; cd .."
    #caffeinate -i will prevent the Mac from sleeping for as long as the program {executable} is running.
    os.system(command)
    print("    done (simulation " + folder_name +")")



if __name__ == '__main__':   
    T = [0.1,0.113,0.126,0.139,0.152,0.16,0.2,0.25,0.4,0.5,0.6,0.7,0.8,0.9,1.0]#,1.1,1.2,1.3,1.4,1.5,1.6,1.7,1.8,1.9,2.0]
    #T = [1.1,1.2,1.3,1.4,1.5,1.6,1.7,1.8,1.9,2.0]
    Tdir = [f"Temp_{Ti}" for Ti in T]
    
    #rho = [1.16, 1.2, 1.24, 1.28, 1.32]
    #Rhodir = [f"rho_{rhoi}" for rhoi in rho]
    #print(Rhodir)

    start_time = time.time()

    myPool = multiprocessing.Pool(Nb_processors_in_pool)
    myPool.map(worker,Tdir)

    print("-----------------------")    
    elapsed_time = time.time() - start_time
    print("Elapsed time: " + str(elapsed_time))
        

