#!/usr/bin/env python
import numpy as np
import os
from shutil import copyfile,copy
from fileinput import *
import time
###
import multiprocessing
import sys
import subprocess

# from DLM exec :  
executable =  "path_to_executable"
Nb_processors_in_pool = 4
     
def worker(folder_name):
    print("Running simulation folder", folder_name)
    command = "cd " + folder_name + f"; caffeinate -i {executable}; cd .."
    #caffeinate -i will prevent the Mac from sleeping for as long as the program {executable} is running.
    os.system(command)
    print("    done (simulation " + folder_name +")")



if __name__ == '__main__':
    #Pnew = 85.0 # katm
    Nrep = 4
    T = np.array([0.1,0.113,0.126,0.139,0.152,0.16,0.2,0.25,0.4,0.5,0.6,0.7,0.8,0.9,1.0])
    replicas = [f"replica_{i}" for i in range(1,Nrep+1)]
    
    for Ti in T:
        os.chdir(f"Temp_{Ti}")
        
        # Create replicas folder
        #command = f"setReplicas.sh {Pnew} {Nrep}"
        command = f"setReplicas.sh {Nrep}"
        os.system(command)

        start_time = time.time()

        myPool = multiprocessing.Pool(Nb_processors_in_pool)
        myPool.map(worker,replicas)

        print("-----------------------")    
        elapsed_time = time.time() - start_time
        print("Elapsed time: " + str(elapsed_time))
        
        os.chdir("../")
