#!/bin/bash
#Pnew=$1
NCORES=$1


# modifying pressure in CONTROL beforehand
#sed -i '' -e "s/pressure .*/pressure $1/g" CONTROL 

echo "Running simulations using $NCORES windows"

for i in `seq 1 $1`; do

  # Sleep so that the seeds are not the same for all replicas
  sleep 2
  
  echo "Setting up replica $i..."
  mkdir replica_$i || exit 1
  cd replica_$i || exit 1
  cp ../{CONFIG*,CONTROL,FIELD} .
 
  # Set a different window for each replica to consider
  awk -v i=$i -v ncores=$1 '{if($1=="fed" && $2=="order"){print $0,"win",$6+(i-1)*($7-$6)/ncores,$6+i*($7-$6)/ncores} else{print $0}}' CONTROL > CONTROL.tmp || exit 1
  mv CONTROL.tmp CONTROL || exit 1
 
  
  cd ..

done

wait
