#!/bin/bash

##################################
#Script to compute U_LJ 
##################################

export GMX_MAXBACKUP=-1      #VB: we don't want backups

# Calculate energies U_LJ over the configurations of the simulation traj_comp.xtc
~/Travail/Simulations/gromacs-2018/gromacs/bin/gmx_d grompp -maxwarn 1 -c ../1-EinsteinCrystal/conf.g96 -r ../1-EinsteinCrystal/restraint.g96  || exit -1
~/Travail/Simulations/gromacs-2018/gromacs/bin/gmx_d mdrun || exit -1

# Extract energy to file ener.edr and energy.xvg
echo "3 0" | gmx energy

tail -n 1 energy.xvg > U_LJ_temp.dat   #skip header of .xvg file

#tail --lines=+25  energy.xvg > U_LJ_temp.dat   #skip header of .xvg file

awk '{print $2}' U_LJ_temp.dat >U_LJ.dat
rm U_LJ_temp.dat

# Show computed value of U_LJ_perfectcrystal
read U_LJ_perfectcrystal < ../2-U_LJ/U_LJ.dat

echo "U_LJ_perfectcrystal = " $U_LJ_perfectcrystal